#include "StdAfx.h"
#include "NoticeController.h"
#include "NoticeDlg.h"

CNoticeController *CNoticeController::g_pNoticeController = NULL;

CNoticeController* CNoticeController::CreateNotice(LPCTSTR strNoticeUrl)
{
	//  URL   νϽ Ѱ༭  ϰ  ʿ䰡  ...
	if(strNoticeUrl == NULL)
		return NULL;

	if(g_pNoticeController == NULL)
	{
		g_pNoticeController = new CNoticeController;
	}

	g_pNoticeController->SetUrl(strNoticeUrl);

	return g_pNoticeController;
}

void CNoticeController::DeleteNotice()
{
	if(g_pNoticeController)
	{
		g_pNoticeController->DeleteView();
		delete g_pNoticeController;
		g_pNoticeController = NULL;
	}
}


CNoticeController::CNoticeController(void) : m_pNoticeDlg(NULL), m_strUrl(_T(""))
{
	CreateNoticeView();		
}

CNoticeController::~CNoticeController(void)
{
}

void CNoticeController::SetUrl( LPCTSTR strUrl )
{	
	m_strUrl = strUrl;	
}

void CNoticeController::ShowNotice()
{
	if(m_pNoticeDlg == NULL)
		CreateNoticeView();
	
	m_pNoticeDlg->Navigate(m_strUrl);	
	m_pNoticeDlg->ShowWindow(SW_SHOW);
	m_pNoticeDlg->SetForegroundWindow();
	
}

void CNoticeController::DeleteView()
{
	if(m_pNoticeDlg)
	{		
		m_pNoticeDlg->DestroyWindow();
		delete m_pNoticeDlg;
		m_pNoticeDlg = NULL;
	}
}

void CNoticeController::CreateNoticeView()
{
	m_pNoticeDlg = new CNoticeDlg(CWnd::GetDesktopWindow());

	if(m_pNoticeDlg == NULL)
		ASSERT(FALSE);
	else
		m_pNoticeDlg->SetIsUpdateNotice(FALSE);
	
	if(m_pNoticeDlg->Create(CNoticeDlg::IDD, CWnd::GetDesktopWindow()) == FALSE)
	{
		delete m_pNoticeDlg;
		m_pNoticeDlg = NULL;
		ASSERT(FALSE);
	}
}
